Assignee: Vitaliy Schetinin % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: v-0.4   

Description

В FairRunAna не хватает следующих возможностей:

1. Остановка pipeline задач по какому либо тригеру внутри задач

2. Приблизитльеный расчет ионизационных потерь на геометрии загруженной из базы данных параметров

History

#1 - 11/06/2017 09:43 AM - Vitaliy Schetinin

- Subject changed from Собственный ран менеджер с возможностью остановки pipeline тасков внутри любого таска to Собственный ран

менеджер ERRunAna

- Description updated

#2 - 11/06/2017 05:24 PM - Vitaliy Schetinin

С помощью добавления VirtualMCApplication в класс ERRunAna реализовал возможность расчета энергопотерь в процессе реконструкции

Классом G4EmCalculator. К примеру так:

  G4EmCalculator* calc = new G4EmCalculator();

  G4NistManager* nist = G4NistManager::Instance();

  G4Material* mat = nist->FindOrBuildMaterial("BC408");

  calc->GetDEDX(0.5, G4Proton::Definition(),mat);

 

 

Для этого необходимо, чтобы геометрия как то попала в gGeoManager. Есть два варианта:

1. Через базу данных параметров: par.root. Получиться автоматически если обрабатывать результаты симуляции

2. Передать файл геометрии всего сетапа к примеру так:

ERRunAna*run = new ERRunAna();

run->SetGeomFile("all.root");

Который можно выгрузить из любой симуляции к примеру так:

run->CreateGeometryFile("all.root");

Необходимо отладить возможность загружать геометрию из класса Setup детектора. После этого отпадет необходимость иметь вообще

макрос симуляции и можно будет описывать геометрию детектора в макросе обработки сырых данных.
#3 - 02/26/2018 07:54 AM - Vitaliy Schetinin

Необходимый функционал для расчета энергопотерь добавлен.

Остался пункт 1.

#4 - 02/27/2019 07:23 AM - Vitaliy Schetinin

- Status changed from Открыта to Закрыта

- % Done changed from 0 to 100
